/**
 * Queue used for serializing BLE operations.
 */
export declare class OpQueue {
    private _current;
    /**
     * Create the queue.
     */
    constructor();
    /**
     * Queue a new operation.
     *
     * @param {function} op - Function to queue
     * @returns {Promise} Promise which resolves when the function has executed.
     */
    queue<T>(op: () => Promise<T>): Promise<T>;
}
//# sourceMappingURL=queue.d.ts.map